Fetch links
curl --request GET \
--url https://api.sakari.io/v1/accounts/{accountId}/links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sakari.io/v1/accounts/{accountId}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pagination": {
"limit": 123,
"offset": 123,
"hasNext": true
},
"data": [
{
"keyId": "<string>",
"destinationUrl": "<string>",
"shortenedUrl": "<string>",
"id": "<string>",
"name": "<string>",
"domain": {
"id": "<string>",
"name": "<string>"
},
"contactTracking": true,
"sourceTracking": true,
"stats": {
"totalClicks": 123,
"uniqueClicks": 123,
"ctr": 123
},
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
},
"updated": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
}
}
]
}links
Fetch links
GET
/
v1
/
accounts
/
{accountId}
/
links
Fetch links
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Query Parameters
General search term that searchs accross multiple fields
⌘I